## dsda-doom 0.26.2+dfsg

=== prboom2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

option(WITH_DUMB "Use DUMB if available" ON)
if(WITH_DUMB)
    list(APPEND VCPKG_MANIFEST_FEATURES "dumb")
endif()

option(WITH_FLUIDSYNTH "Use FluidSynth if available" ON)
if(WITH_FLUIDSYNTH)
    list(APPEND VCPKG_MANIFEST_FEATURES "fluidsynth")
endif()

option(WITH_IMAGE "Use SDL2_image if available" ON)
if(WITH_IMAGE)
    list(APPEND VCPKG_MANIFEST_FEATURES "sdl2-image")
endif()

option(WITH_MAD "Use libmad if available" ON)
if(WITH_MAD)
    list(APPEND VCPKG_MANIFEST_FEATURES "libmad")
endif()

option(WITH_PORTMIDI "Use PortMidi if available" ON)
if(WITH_PORTMIDI)
    list(APPEND VCPKG_MANIFEST_FEATURES "portmidi")
endif()

option(WITH_VORBISFILE "Use vorbisfile if available" ON)
if(WITH_VORBISFILE)
    list(APPEND VCPKG_MANIFEST_FEATURES "libvorbis")
endif()

# Automatically install dependencies
set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
set(X_VCPKG_APPLOCAL_DEPS_INSTALL TRUE)

project("dsda-doom" VERSION 0.26.2)

# Set a default build type if none was specified
set(default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(CheckBigEndian)
check_big_endian(WORDS_BIGENDIAN)

include(GNUInstallDirs)

if(POLICY CMP0099)
  cmake_policy(SET CMP0099 NEW)
else()
  message(WARNING "Your version of CMake is very old. This may cause linking issues if your dependencies are not in your compiler's default search paths.")
endif()

option(CMAKE_FIND_PACKAGE_PREFER_CONFIG "Search for package config before using Find modules" ON)

if(VCPKG_TOOLCHAIN)
    set(ENV{PKG_CONFIG_PATH} "${VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}/lib/pkgconfig")
endif()

if(POLICY CMP0069)
    cmake_policy(SET CMP0069 NEW)
endif()

include(CheckIPOSupported)
check_ipo_supported(RESULT HAVE_LTO)

include(CMakeDependentOption)
cmake_dependent_option(ENABLE_LTO "Use link-time optimisation" OFF "HAVE_LTO" OFF)

set(PACKAGE_NAME "${PROJECT_NAME}")
set(PACKAGE_TARNAME "dsda-doom")
set(WAD_DATA "dsda-doom.wad")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")

include(CheckSymbolExists)

check_symbol_exists(stricmp "string.h" HAVE_STRICMP)
check_symbol_exists(strnicmp "string.h" HAVE_STRNICMP)
check_symbol_exists(getopt "unistd.h" HAVE_GETOPT)
check_symbol_exists(mmap "sys/mman.h" HAVE_MMAP)
check_symbol_exists(CreateFileMapping "windows.h" HAVE_CREATE_FILE_MAPPING)
check_symbol_exists(strsignal "string.h" HAVE_STRSIGNAL)
check_symbol_exists(mkstemp "stdlib.h" HAVE_MKSTEMP)

include(CheckIncludeFile)

check_include_file("sys/wait.h" HAVE_SYS_WAIT_H)
check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("asm/byteorder.h" HAVE_ASM_BYTEORDER_H)
check_include_file("dirent.h" HAVE_DIRENT_H)

include(GetAvailableFlags)

get_supported_warnings(SUPPORTED_WARNINGS)
get_fast_math_flag(FAST_MATH_FLAG)
get_compile_definitions(DSDA_COMPILE_DEFINITIONS)
get_deprecation_silencing_definitions(DEPRECATION_SILENCING_DEFINITIONS)

include(PkgConfigHelper)

set(OpenGL_GL_PREFERENCE LEGACY)
find_package(OpenGL 2.0 REQUIRED)
find_package(libzip REQUIRED)
find_package(SDL2 2.0.7 REQUIRED)
find_package(SDL2_mixer REQUIRED)
find_package(ZLIB REQUIRED)

if(NOT TARGET SDL2_mixer::SDL2_mixer)
    add_library(SDL2_mixer::SDL2_mixer ALIAS SDL2_mixer::SDL2_mixer-static)
endif()

if(WITH_IMAGE)
    find_package(SDL2_image)
    if(SDL2_image_FOUND)
        set(HAVE_LIBSDL2_IMAGE TRUE)
        if(NOT TARGET SDL2_image::SDL2_image)
            add_library(SDL2_image::SDL2_image ALIAS SDL2_image::SDL2_image-static)
        endif()
    endif()
endif()

if(WITH_MAD)
    find_package(LibMad)
    if(LibMad_FOUND)
        set(HAVE_LIBMAD TRUE)
    endif()
endif()

if(WITH_FLUIDSYNTH)
    find_package(FluidSynth)
    if(FluidSynth_FOUND)
        set(HAVE_LIBFLUIDSYNTH TRUE)
    endif()
endif()

if(WITH_DUMB)
    find_package(DUMB)
    if(DUMB_FOUND)
        set(HAVE_LIBDUMB TRUE)
    endif()
endif()

if(WITH_VORBISFILE)
    find_package(Vorbis COMPONENTS File)
    if(Vorbis_File_FOUND)
        set(HAVE_LIBVORBISFILE TRUE)
    endif()
endif()

if(WITH_PORTMIDI)
    find_package(PortMidi)
    if(PortMidi_FOUND)
        set(HAVE_LIBPORTMIDI TRUE)
    endif()
endif()

if(WIN32)
    set(DEFAULT_WAD_DIR ".")
else()
    set(DEFAULT_WAD_DIR "${CMAKE_INSTALL_DATADIR}/games/doom")
endif()

set(DSDAPWADDIR "${DEFAULT_WAD_DIR}" CACHE STRING "Path to install DSDA-Doom internal WAD, relative to CMAKE_INSTALL_PREFIX or absolute.")
set(DOOMWADDIR "${CMAKE_INSTALL_PREFIX}/${DEFAULT_WAD_DIR}" CACHE PATH "Path to look for WAD files.")

if(IS_ABSOLUTE "${DSDAPWADDIR}")
    set(DSDA_ABSOLUTE_PWAD_PATH "${DSDAPWADDIR}")
else()
    set(DSDA_ABSOLUTE_PWAD_PATH "${CMAKE_INSTALL_PREFIX}/${DSDAPWADDIR}")
endif()

option(SIMPLECHECKS "Enable checks which only impose significant overhead if a posible error is detected" ON)

# Debug options, disabled by default
option(RANGECHECK "Enable internal range checking" OFF)

configure_file(cmake/config.h.cin config.h)

# Support cross compiling
option(FORCE_CROSSCOMPILE "Enable cross-compilation" OFF)
if(FORCE_CROSSCOMPILE)
    set(CMAKE_CROSSCOMPILING ON)
endif()

if(CMAKE_CROSSCOMPILING)
    set(IMPORT_EXECUTABLES "IMPORTFILE-NOTFOUND" CACHE FILEPATH "Export file from native build")
    include(${IMPORT_EXECUTABLES})
else()
    if(NOT CROSS_EXPORTS)
        set(CROSS_EXPORTS "")
    endif()
endif()

set(DSDA_OUTPUT_PATH ${CMAKE_BINARY_DIR})

set(WAD_DATA_PATH "${DSDA_OUTPUT_PATH}/${WAD_DATA}")

add_subdirectory(data)
add_subdirectory(src)

if(NOT CMAKE_CROSSCOMPILING)
    export(TARGETS ${CROSS_EXPORTS} FILE "${CMAKE_BINARY_DIR}/ImportExecutables.cmake")
endif()

if(WIN32)
    include(CPack)
endif()

=== prboom2/data/CMakeLists.txt ===
# PrBoom-Plus WAD creation tool

if(NOT CMAKE_CROSSCOMPILING)
    add_executable(rdatawad
        rd_main.c
        rd_util.c
        rd_util.h
        rd_output.c
        rd_output.h
        rd_sound.c
        rd_sound.h
        rd_palette.c
        rd_palette.h
        rd_graphic.c
        rd_graphic.h
    )
    target_compile_options(rdatawad PRIVATE ${SUPPORTED_WARNINGS})
    target_compile_definitions(rdatawad PRIVATE ${DEPRECATION_SILENCING_DEFINITIONS})
    target_include_directories(rdatawad PRIVATE ${CMAKE_BINARY_DIR})

    set(CROSS_EXPORTS ${CROSS_EXPORTS} rdatawad PARENT_SCOPE)
endif()

# PrBoom-Plus internal WAD

set(PALETTE
    palette.rgb
)

set(LUMPS
    lumps/switches.lmp
    lumps/animated.lmp
    lumps/sndcurve.lmp
    lumps/soundfont/sndfont.lmp
    lumps/dsdacr.lmp
    lumps/dsdahud.lmp
    lumps/dsdatc.lmp
)

set(COLORMAPS
    lumps/watermap.lmp
)

set(TABLES
    lumps/sinetabl.lmp
    lumps/tangtabl.lmp
    lumps/tantoang.lmp
    lumps/gammatbl.lmp
    lumps/chexdeh.lmp
    lumps/bfgbex.lmp
    lumps/nervebex.lmp
    lumps/glshadow.lmp
    lumps/glfp_fuzz.lmp
    lumps/glfp_idx.lmp
    lumps/glvp.lmp
    lumps/m_ammo.lmp
    lumps/m_armour.lmp
    lumps/m_arrow.lmp
    lumps/m_health.lmp
    lumps/m_key.lmp
    lumps/m_normal.lmp
    lumps/m_shadow.lmp
    lumps/m_power.lmp
    lumps/m_weap.lmp
    lumps/m_mark.lmp
)

set(SOUNDS
    sounds/dsdgsit.wav
    sounds/dsdgatk.wav
    sounds/dsdgact.wav
    sounds/dsdgdth.wav
    sounds/dsdgpain.wav
    sounds/dssecret.wav
)

set(GRAPHICS
    graphics/dig033.ppm
    graphics/dig034.ppm
    graphics/dig035.ppm
    graphics/dig036.ppm
    graphics/dig037.ppm
    graphics/dig038.ppm
    graphics/dig039.ppm
    graphics/dig040.ppm
    graphics/dig041.ppm
    graphics/dig042.ppm
    graphics/dig043.ppm
    graphics/dig044.ppm
    graphics/dig045.ppm
    graphics/dig046.ppm
    graphics/dig047.ppm
    graphics/dig048.ppm
    graphics/dig049.ppm
    graphics/dig050.ppm
    graphics/dig051.ppm
    graphics/dig052.ppm
    graphics/dig053.ppm
    graphics/dig054.ppm
    graphics/dig055.ppm
    graphics/dig056.ppm
    graphics/dig057.ppm
    graphics/dig058.ppm
    graphics/dig059.ppm
    graphics/dig060.ppm
    graphics/dig061.ppm
    graphics/dig062.ppm
    graphics/dig063.ppm
    graphics/dig064.ppm
    graphics/dig065.ppm
    graphics/dig066.ppm
    graphics/dig067.ppm
    graphics/dig068.ppm
    graphics/dig069.ppm
    graphics/dig070.ppm
    graphics/dig071.ppm
    graphics/dig072.ppm
    graphics/dig073.ppm
    graphics/dig074.ppm
    graphics/dig075.ppm
    graphics/dig076.ppm
    graphics/dig077.ppm
    graphics/dig078.ppm
    graphics/dig079.ppm
    graphics/dig080.ppm
    graphics/dig081.ppm
    graphics/dig082.ppm
    graphics/dig083.ppm
    graphics/dig084.ppm
    graphics/dig085.ppm
    graphics/dig086.ppm
    graphics/dig087.ppm
    graphics/dig088.ppm
    graphics/dig089.ppm
    graphics/dig090.ppm
    graphics/dig091.ppm
    graphics/dig092.ppm
    graphics/dig093.ppm
    graphics/dig094.ppm
    graphics/dig095.ppm
    graphics/dig096.ppm
    graphics/dig097.ppm
    graphics/dig098.ppm
    graphics/dig099.ppm
    graphics/dig100.ppm
    graphics/dig101.ppm
    graphics/dig102.ppm
    graphics/dig103.ppm
    graphics/dig104.ppm
    graphics/dig105.ppm
    graphics/dig106.ppm
    graphics/dig107.ppm
    graphics/dig108.ppm
    graphics/dig109.ppm
    graphics/dig110.ppm
    graphics/dig111.ppm
    graphics/dig112.ppm
    graphics/dig113.ppm
    graphics/dig114.ppm
    graphics/dig115.ppm
    graphics/dig116.ppm
    graphics/dig117.ppm
    graphics/dig118.ppm
    graphics/dig119.ppm
    graphics/dig120.ppm
    graphics/dig121.ppm
    graphics/dig122.ppm
    graphics/dig123.ppm
    graphics/dig124.ppm
    graphics/dig125.ppm
    graphics/dig126.ppm
    graphics/boxul.ppm
    graphics/boxuc.ppm
    graphics/boxur.ppm
    graphics/boxcl.ppm
    graphics/boxcc.ppm
    graphics/boxcr.ppm
    graphics/boxll.ppm
    graphics/boxlc.ppm
    graphics/boxlr.ppm
    graphics/stkeys6.ppm
    graphics/stkeys7.ppm
    graphics/stkeys8.ppm
    graphics/stcfn096.ppm
    graphics/m_butt1.ppm
    graphics/m_butt2.ppm
    graphics/m_colors.ppm
    graphics/m_palno.ppm
    graphics/m_palsel.ppm
    graphics/m_vbox.ppm
    graphics/cross1.ppm
    graphics/cross2.ppm
    graphics/cross3.ppm
    graphics/cross4.ppm
    graphics/cross5.ppm
    graphics/cross6.ppm
    graphics/cross7.ppm
)

set(FLATS
    flats/-n0_tex-.ppm
)

set(SPRITES
    sprites/tnt1a0.ppm
)
set(SPRITEP "0,0,sprites/tnt1a0.ppm")

set(SPRITES
    ${SPRITES}
    sprites/dogsa1.ppm
    sprites/dogsa2.ppm
    sprites/dogsa3.ppm
    sprites/dogsa4.ppm
    sprites/dogsa5.ppm
    sprites/dogsa6.ppm
    sprites/dogsa7.ppm
    sprites/dogsa8.ppm
    sprites/dogsb1.ppm
    sprites/dogsb2.ppm
    sprites/dogsb3.ppm
    sprites/dogsb4.ppm
    sprites/dogsb5.ppm
    sprites/dogsb6.ppm
    sprites/dogsb7.ppm
    sprites/dogsb8.ppm
    sprites/dogsc1.ppm
    sprites/dogsc2.ppm
    sprites/dogsc3.ppm
    sprites/dogsc4.ppm
    sprites/dogsc5.ppm
    sprites/dogsc6.ppm
    sprites/dogsc7.ppm
    sprites/dogsc8.ppm
    sprites/dogsd1.ppm
    sprites/dogsd2.ppm
    sprites/dogsd3.ppm
    sprites/dogsd4.ppm
    sprites/dogsd5.ppm
    sprites/dogsd6.ppm
    sprites/dogsd7.ppm
    sprites/dogsd8.ppm
    sprites/dogse1.ppm
    sprites/dogse2.ppm
    sprites/dogse3.ppm
    sprites/dogse4.ppm
    sprites/dogse5.ppm
    sprites/dogse6.ppm
    sprites/dogse7.ppm
    sprites/dogse8.ppm
    sprites/dogsf1.ppm
    sprites/dogsf2.ppm
    sprites/dogsf3.ppm
    sprites/dogsf4.ppm
    sprites/dogsf5.ppm
    sprites/dogsf6.ppm
    sprites/dogsf7.ppm
    sprites/dogsf8.ppm
    sprites/dogsg1.ppm
    sprites/dogsg2.ppm
    sprites/dogsg3.ppm
    sprites/dogsg4.ppm
    sprites/dogsg5.ppm
    sprites/dogsg6.ppm
    sprites/dogsg7.ppm
    sprites/dogsg8.ppm
    sprites/dogsh1.ppm
    sprites/dogsh2.ppm
    sprites/dogsh3.ppm
    sprites/dogsh4.ppm
    sprites/dogsh5.ppm
    sprites/dogsh6.ppm
    sprites/dogsh7.ppm
    sprites/dogsh8.ppm
    sprites/dogsi0.ppm
    sprites/dogsj0.ppm
    sprites/dogsk0.ppm
    sprites/dogsl0.ppm
    sprites/dogsm0.ppm
    sprites/dogsn0.ppm
)
set(SPRITEP
    ${SPRITEP}
    "33,66,sprites/dogsa1.ppm"
    "33,66,sprites/dogsa2.ppm"
    "33,66,sprites/dogsa3.ppm"
    "33,66,sprites/dogsa4.ppm"
    "33,66,sprites/dogsa5.ppm"
    "33,66,sprites/dogsa6.ppm"
    "33,66,sprites/dogsa7.ppm"
    "33,66,sprites/dogsa8.ppm"
    "33,66,sprites/dogsb1.ppm"
    "33,66,sprites/dogsb2.ppm"
    "33,66,sprites/dogsb3.ppm"
    "33,66,sprites/dogsb4.ppm"
    "33,66,sprites/dogsb5.ppm"
    "33,66,sprites/dogsb6.ppm"
    "33,66,sprites/dogsb7.ppm"
    "33,66,sprites/dogsb8.ppm"
    "33,66,sprites/dogsc1.ppm"
    "33,66,sprites/dogsc2.ppm"
    "33,66,sprites/dogsc3.ppm"
    "33,66,sprites/dogsc4.ppm"
    "33,66,sprites/dogsc5.ppm"
    "33,66,sprites/dogsc6.ppm"
    "33,66,sprites/dogsc7.ppm"
    "33,66,sprites/dogsc8.ppm"
    "33,66,sprites/dogsd1.ppm"
    "33,66,sprites/dogsd2.ppm"
    "33,66,sprites/dogsd3.ppm"
    "33,66,sprites/dogsd4.ppm"
    "33,66,sprites/dogsd5.ppm"
    "33,66,sprites/dogsd6.ppm"
    "33,66,sprites/dogsd7.ppm"
    "33,66,sprites/dogsd8.ppm"
    "33,66,sprites/dogse1.ppm"
    "33,66,sprites/dogse2.ppm"
    "33,66,sprites/dogse3.ppm"
    "33,66,sprites/dogse4.ppm"
    "33,66,sprites/dogse5.ppm"
    "33,66,sprites/dogse6.ppm"
    "33,66,sprites/dogse7.ppm"
    "33,66,sprites/dogse8.ppm"
    "33,66,sprites/dogsf1.ppm"
    "33,66,sprites/dogsf2.ppm"
    "33,66,sprites/dogsf3.ppm"
    "33,66,sprites/dogsf4.ppm"
    "33,66,sprites/dogsf5.ppm"
    "33,66,sprites/dogsf6.ppm"
    "33,66,sprites/dogsf7.ppm"
    "33,66,sprites/dogsf8.ppm"
    "33,66,sprites/dogsg1.ppm"
    "33,66,sprites/dogsg2.ppm"
    "33,66,sprites/dogsg3.ppm"
    "33,66,sprites/dogsg4.ppm"
    "33,66,sprites/dogsg5.ppm"
    "33,66,sprites/dogsg6.ppm"
    "33,66,sprites/dogsg7.ppm"
    "33,66,sprites/dogsg8.ppm"
    "33,66,sprites/dogsh1.ppm"
    "33,66,sprites/dogsh2.ppm"
    "33,66,sprites/dogsh3.ppm"
    "33,66,sprites/dogsh4.ppm"
    "33,66,sprites/dogsh5.ppm"
    "33,66,sprites/dogsh6.ppm"
    "33,66,sprites/dogsh7.ppm"
    "33,66,sprites/dogsh8.ppm"
    "33,67,sprites/dogsi0.ppm"
    "33,67,sprites/dogsj0.ppm"
    "33,67,sprites/dogsk0.ppm"
    "33,67,sprites/dogsl0.ppm"
    "33,68,sprites/dogsm0.ppm"
    "33,69,sprites/dogsn0.ppm"
)

set(SPRITES
    ${SPRITES}
    sprites/pls1a0.ppm
    sprites/pls1b0.ppm
    sprites/pls1c0.ppm
    sprites/pls1d0.ppm
    sprites/pls1e0.ppm
    sprites/pls1f0.ppm
    sprites/pls1g0.ppm
    sprites/pls2a0.ppm
    sprites/pls2b0.ppm
    sprites/pls2c0.ppm
    sprites/pls2d0.ppm
    sprites/pls2e0.ppm
)
set(SPRITEP
    ${SPRITEP}
    "9,11,sprites/pls1a0.ppm"
    "8,11,sprites/pls1b0.ppm"
    "9,11,sprites/pls1c0.ppm"
    "8,11,sprites/pls1d0.ppm"
    "16,27,sprites/pls1e0.ppm"
    "16,27,sprites/pls1f0.ppm"
    "18,27,sprites/pls1g0.ppm"
    "9,11,sprites/pls2a0.ppm"
    "8,13,sprites/pls2b0.ppm"
    "11,18,sprites/pls2c0.ppm"
    "16,27,sprites/pls2d0.ppm"
    "18,27,sprites/pls2e0.ppm"
)

set(WAD_SRC
    ${PALETTE}
    ${LUMPS}
    ${COLORMAPS}
    ${TABLES}
    ${SOUNDS}
    ${GRAPHICS}
    ${FLATS}
    ${SPRITES}
)

set(WAD_CMDLINE
    -palette ${PALETTE}
    -lumps ${LUMPS}
    -marker C_START -lumps ${COLORMAPS} -marker C_END
    -marker B_START -lumps ${TABLES} -marker B_END
    -sounds ${SOUNDS}
    -graphics ${GRAPHICS}
    -marker FF_START -flats ${FLATS} -marker FF_END
    -marker SS_START -sprites ${SPRITEP} -marker SS_END
)

add_custom_command(
    OUTPUT "${WAD_DATA_PATH}"
    COMMAND rdatawad -I "${CMAKE_CURRENT_SOURCE_DIR}" ${WAD_CMDLINE} -o "${WAD_DATA_PATH}"
    DEPENDS rdatawad ${WAD_SRC}
)
add_custom_target(dsda-doom-wad DEPENDS ${WAD_DATA_PATH})
install(FILES ${WAD_DATA_PATH} DESTINATION ${DSDAPWADDIR} COMPONENT "DSDA-Doom internal WAD")

=== prboom2/src/CMakeLists.txt ===
# PrBoom main executable

set(COMMON_SRC
    am_map.c
    am_map.h
    doomdata.h
    doomdef.c
    doomdef.h
    doomstat.c
    doomstat.h
    doomtype.h
    dsda.c
    dsda.h
    dsda/analysis.c
    dsda/analysis.h
    dsda/args.c
    dsda/args.h
    dsda/brute_force.c
    dsda/brute_force.h
    dsda/build.c
    dsda/build.h
    dsda/compatibility.c
    dsda/compatibility.h
    dsda/configuration.c
    dsda/configuration.h
    dsda/console.c
    dsda/console.h
    dsda/cr_table.c
    dsda/cr_table.h
    dsda/data_organizer.c
    dsda/data_organizer.h
    dsda/death.c
    dsda/death.h
    dsda/deh_hash.c
    dsda/deh_hash.h
    dsda/demo.c
    dsda/demo.h
    dsda/destructible.c
    dsda/destructible.h
    dsda/endoom.c
    dsda/endoom.h
    dsda/excmd.c
    dsda/excmd.h
    dsda/exdemo.c
    dsda/exdemo.h
    dsda/exhud.c
    dsda/exhud.h
    dsda/features.c
    dsda/features.h
    dsda/font.c
    dsda/font.h
    dsda/game_controller.c
    dsda/game_controller.h
    dsda/ghost.c
    dsda/ghost.h
    dsda/gl/render_scale.c
    dsda/gl/render_scale.h
    dsda/global.c
    dsda/global.h
    dsda/hud_components.h
    dsda/hud_components/ammo_text.c
    dsda/hud_components/ammo_text.h
    dsda/hud_components/armor_text.c
    dsda/hud_components/armor_text.h
    dsda/hud_components/attempts.c
    dsda/hud_components/attempts.h
    dsda/hud_components/base.c
    dsda/hud_components/base.h
    dsda/hud_components/big_ammo.c
    dsda/hud_components/big_ammo.h
    dsda/hud_components/big_armor.c
    dsda/hud_components/big_armor.h
    dsda/hud_components/big_armor_text.c
    dsda/hud_components/big_armor_text.h
    dsda/hud_components/big_artifact.c
    dsda/hud_components/big_artifact.h
    dsda/hud_components/big_health.c
    dsda/hud_components/big_health.h
    dsda/hud_components/big_health_text.c
    dsda/hud_components/big_health_text.h
    dsda/hud_components/color_test.c
    dsda/hud_components/color_test.h
    dsda/hud_components/command_display.c
    dsda/hud_components/command_display.h
    dsda/hud_components/composite_time.c
    dsda/hud_components/composite_time.h
    dsda/hud_components/coordinate_display.c
    dsda/hud_components/coordinate_display.h
    dsda/hud_components/event_split.c
    dsda/hud_components/event_split.h
    dsda/hud_components/fps.c
    dsda/hud_components/fps.h
    dsda/hud_components/free_text.c
    dsda/hud_components/free_text.h
    dsda/hud_components/health_text.c
    dsda/hud_components/health_text.h
    dsda/hud_components/keys.c
    dsda/hud_components/keys.h
    dsda/hud_components/level_splits.c
    dsda/hud_components/level_splits.h
    dsda/hud_components/line_display.c
    dsda/hud_components/line_display.h
    dsda/hud_components/line_distance_tracker.c
    dsda/hud_components/line_distance_tracker.h
    dsda/hud_components/line_tracker.c
    dsda/hud_components/line_tracker.h
    dsda/hud_components/local_time.c
    dsda/hud_components/local_time.h
    dsda/hud_components/map_coordinates.c
    dsda/hud_components/map_coordinates.h
    dsda/hud_components/map_time.c
    dsda/hud_components/map_time.h
    dsda/hud_components/map_title.c
    dsda/hud_components/map_title.h
    dsda/hud_components/map_totals.c
    dsda/hud_components/map_totals.h
    dsda/hud_components/message.c
    dsda/hud_components/message.h
    dsda/hud_components/minimap.c
    dsda/hud_components/minimap.h
    dsda/hud_components/mobj_tracker.c
    dsda/hud_components/mobj_tracker.h
    dsda/hud_components/null.c
    dsda/hud_components/null.h
    dsda/hud_components/player_tracker.c
    dsda/hud_components/player_tracker.h
    dsda/hud_components/ready_ammo_text.c
    dsda/hud_components/ready_ammo_text.h
    dsda/hud_components/render_stats.c
    dsda/hud_components/render_stats.h
    dsda/hud_components/secret_message.c
    dsda/hud_components/secret_message.h
    dsda/hud_components/sector_tracker.c
    dsda/hud_components/sector_tracker.h
    dsda/hud_components/speed_text.c
    dsda/hud_components/speed_text.h
    dsda/hud_components/stat_totals.c
    dsda/hud_components/stat_totals.h
    dsda/hud_components/tracker.c
    dsda/hud_components/tracker.h
    dsda/hud_components/weapon_text.c
    dsda/hud_components/weapon_text.h
    dsda/id_list.c
    dsda/id_list.h
    dsda/input.c
    dsda/input.h
    dsda/key_frame.c
    dsda/key_frame.h
    dsda/line_special.h
    dsda/map_format.c
    dsda/map_format.h
    dsda/mapinfo.c
    dsda/mapinfo.h
    dsda/mapinfo/hexen.c
    dsda/mapinfo/hexen.h
    dsda/mapinfo/legacy.c
    dsda/mapinfo/legacy.h
    dsda/mapinfo/u.c
    dsda/mapinfo/u.h
    dsda/memory.c
    dsda/memory.h
    dsda/messenger.c
    dsda/messenger.h
    dsda/mobjinfo.c
    dsda/mobjinfo.h
    dsda/mouse.c
    dsda/mouse.h
    dsda/msecnode.c
    dsda/msecnode.h
    dsda/music.c
    dsda/music.h
    dsda/options.c
    dsda/options.h
    dsda/palette.c
    dsda/palette.h
    dsda/pause.c
    dsda/pause.h
    dsda/pclass.c
    dsda/pclass.h
    dsda/playback.c
    dsda/playback.h
    dsda/preferences.c
    dsda/preferences.h
    dsda/quake.c
    dsda/render_stats.c
    dsda/render_stats.h
    dsda/save.c
    dsda/save.h
    dsda/settings.c
    dsda/settings.h
    dsda/sfx.c
    dsda/sfx.h
    dsda/signal_context.h
    dsda/skip.c
    dsda/skip.h
    dsda/sndinfo.c
    dsda/sndinfo.h
    dsda/spawn_number.c
    dsda/spawn_number.h
    dsda/split_tracker.c
    dsda/split_tracker.h
    dsda/sprite.c
    dsda/sprite.h
    dsda/state.c
    dsda/state.h
    dsda/stretch.c
    dsda/stretch.h
    dsda/text_color.c
    dsda/text_color.h
    dsda/text_file.c
    dsda/text_file.h
    dsda/thing_id.c
    dsda/thing_id.h
    dsda/time.c
    dsda/time.h
    dsda/tracker.c
    dsda/tracker.h
    dsda/tranmap.c
    dsda/tranmap.h
    dsda/udmf.cpp
    dsda/udmf.h
    dsda/utility.c
    dsda/utility.h
    dsda/wad_stats.c
    dsda/wad_stats.h
    dsda/zipfile.c
    dsda/zipfile.h
    dstrings.c
    dstrings.h
    d_deh.c
    d_deh.h
    d_englsh.h
    d_event.h
    d_items.c
    d_items.h
    d_main.c
    d_main.h
    d_net.h
    d_player.h
    d_think.h
    d_ticcmd.h
    e6y.c
    e6y.h
    f_finale.c
    f_finale.h
    f_wipe.c
    f_wipe.h
    g_game.c
    g_game.h
    g_overflow.c
    g_overflow.h
    heretic/d_main.c
    heretic/def.h
    heretic/dstrings.h
    heretic/f_finale.h
    heretic/f_finale.c
    heretic/info.c
    heretic/in_lude.c
    heretic/in_lude.h
    heretic/level_names.c
    heretic/mn_menu.c
    heretic/mn_menu.h
    heretic/p_action.h
    heretic/sb_bar.c
    heretic/sb_bar.h
    heretic/sounds.c
    hexen/a_action.c
    hexen/a_action.h
    hexen/info.c
    hexen/f_finale.c
    hexen/f_finale.h
    hexen/h2_main.c
    hexen/in_lude.c
    hexen/in_lude.h
    hexen/p_acs.c
    hexen/p_acs.h
    hexen/p_anim.c
    hexen/p_anim.h
    hexen/p_things.c
    hexen/p_things.h
    hexen/po_man.c
    hexen/po_man.h
    hexen/sn_sonix.c
    hexen/sn_sonix.h
    hexen/sounds.c
    hexen/sv_save.c
    hexen/sv_save.h
    hu_lib.c
    hu_lib.h
    hu_stuff.c
    hu_stuff.h
    info.c
    info.h
    i_capture.c
    i_capture.h
    i_glob.c
    i_glob.h
    i_main.h
    i_pcsound.c
    i_pcsound.h
    i_sound.h
    i_system.h
    i_video.h
    lprintf.c
    lprintf.h
    md5.c
    md5.h
    m_argv.c
    m_argv.h
    m_bbox.c
    m_bbox.h
    m_cheat.c
    m_cheat.h
    m_file.c
    m_file.h
    m_fixed.h
    m_menu.c
    m_menu.h
    m_misc.c
    m_misc.h
    m_random.c
    m_random.h
    m_swap.h
    p_ceilng.c
    p_doors.c
    p_enemy.c
    p_enemy.h
    p_floor.c
    p_genlin.c
    p_inter.c
    p_inter.h
    p_lights.c
    p_map.c
    p_map.h
    p_maputl.c
    p_maputl.h
    p_mobj.c
    p_mobj.h
    p_plats.c
    p_pspr.c
    p_pspr.h
    p_saveg.c
    p_saveg.h
    p_setup.c
    p_setup.h
    p_sight.c
    p_spec.c
    p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c
    p_tick.h
    p_user.c
    p_user.h
    r_bsp.c
    r_bsp.h
    r_data.c
    r_data.h
    r_defs.h
    r_draw.c
    r_draw.h
    r_fps.c
    r_fps.h
    r_main.c
    r_main.h
    r_patch.c
    r_patch.h
    r_plane.c
    r_plane.h
    r_segs.c
    r_segs.h
    r_sky.c
    r_sky.h
    r_state.h
    r_things.c
    r_things.h
    scanner.cpp
    scanner.h
    sc_man.c
    sc_man.h
    smooth.c
    smooth.h
    sounds.c
    sounds.h
    st_lib.c
    st_lib.h
    st_stuff.c
    st_stuff.h
    s_advsound.c
    s_advsound.h
    s_sound.c
    s_sound.h
    tables.c
    tables.h
    umapinfo.cpp
    umapinfo.h
    v_video.c
    v_video.h
    wadtbl.c
    wadtbl.h
    wi_stuff.c
    wi_stuff.h
    w_wad.c
    w_wad.h
    z_bmalloc.c
    z_bmalloc.h
    z_zone.c
    z_zone.h
)

set(NET_CLIENT_SRC
    d_client.c
)

if(HAVE_MMAP OR HAVE_CREATE_FILE_MAPPING)
    set(WAD_SRC w_mmap.c)
else()
    set(WAD_SRC w_memcache.c)
endif()

set(MUS2MID_SRC
    memio.c
    memio.h
    mus2mid.c
    mus2mid.h
)

set(SDLDOOM_SOURCES
    SDL/i_main.c
    SDL/i_sound.c
    SDL/i_sshot.c
    SDL/i_system.c
    SDL/i_video.c
)

set(PCSOUND_SOURCES
    PCSOUND/pcsound.c
    PCSOUND/pcsound.h
    PCSOUND/pcsound_linux.c
    PCSOUND/pcsound_sdl.c
    PCSOUND/pcsound_win32.c
)

set(DOOMMUSIC_SOURCES
    MUSIC/dbopl.c
    MUSIC/dbopl.h
    MUSIC/dumbplayer.c
    MUSIC/dumbplayer.h
    MUSIC/flplayer.c
    MUSIC/flplayer.h
    MUSIC/madplayer.c
    MUSIC/madplayer.h
    MUSIC/midifile.c
    MUSIC/midifile.h
    MUSIC/musicplayer.h
    MUSIC/opl.c
    MUSIC/opl.h
    MUSIC/oplplayer.c
    MUSIC/oplplayer.h
    MUSIC/opl_queue.c
    MUSIC/opl_queue.h
    MUSIC/portmidiplayer.c
    MUSIC/portmidiplayer.h
    MUSIC/vorbisplayer.c
    MUSIC/vorbisplayer.h
)

set(EXTRA_FILES
    r_drawcolpipeline.inl
    r_drawcolumn.inl
    r_drawflush.inl
)

set(DSDA_SOURCES
    ${COMMON_SRC}
    ${NET_CLIENT_SRC}
    ${WAD_SRC}
    ${MUS2MID_SRC}
    ${SDLDOOM_SOURCES}
    ${PCSOUND_SOURCES}
    ${DOOMMUSIC_SOURCES}
    ${EXTRA_FILES}
)

function(AddGameExecutable TARGET SOURCES)
    set(SOURCES
        ${SOURCES}
        gl_clipper.c
        gl_drawinfo.c
        gl_fbo.c
        gl_intern.h
        gl_light.c
        gl_main.c
        gl_map.c
        gl_missingtexture.c
        gl_opengl.c
        gl_opengl.h
        gl_preprocess.c
        gl_progress.c
        gl_shader.c
        gl_sky.c
        gl_struct.h
        gl_texture.c
        gl_vertex.c
        gl_wipe.c
    )

    if(WIN32)
        set(SOURCES
            ${SOURCES}
            ../ICONS/icons.rc
        )
        if(MSVC)
            set(SOURCES
                ${SOURCES}
                win_opendir.c
                win_opendir.h
            )
        endif()
    endif()

    add_executable(${TARGET} WIN32 ${SOURCES})

    target_compile_options(${TARGET} PRIVATE
        ${SUPPORTED_WARNINGS}
        ${FAST_MATH_FLAG}
    )

    target_compile_definitions(${TARGET} PRIVATE
        ${DEPRECATION_SILENCING_DEFINITIONS}
        ${DSDA_COMPILE_DEFINITIONS}
    )

    target_include_directories(${TARGET} PRIVATE
        ${SDL2_INCLUDE_DIRS}
        ${CMAKE_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
    )

    target_link_libraries(${TARGET} PRIVATE
        libzip::zip
        ${SDL2_LIBRARIES}
        SDL2_mixer::SDL2_mixer
        ZLIB::ZLIB
    )

    if(WIN32)
        target_link_libraries(${TARGET} PRIVATE
            winmm
            comctl32
        )
    endif()

    set_target_properties(${TARGET} PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${DSDA_OUTPUT_PATH}
        INTERPROCEDURAL_OPTIMIZATION ${ENABLE_LTO}
        C_STANDARD 99
    )

    if(HAVE_LIBSDL2_IMAGE)
        target_link_libraries(${TARGET} PRIVATE SDL2_image::SDL2_image)
    endif()

    if(HAVE_LIBMAD)
        target_link_libraries(${TARGET} PRIVATE LibMad::libmad)
    endif()

    if(HAVE_LIBFLUIDSYNTH)
        target_link_libraries(${TARGET} PRIVATE FluidSynth::libfluidsynth)
    endif()

    if(HAVE_LIBDUMB)
        target_link_libraries(${TARGET} PRIVATE DUMB::DUMB)
    endif()

    if(HAVE_LIBVORBISFILE)
        target_link_libraries(${TARGET} PRIVATE Vorbis::vorbisfile)

=== debian/changelog ===
dsda-doom (0.26.2+dfsg-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Aug 2023 07:41:05 -0700

dsda-doom (0.26.2+dfsg-2) unstable; urgency=medium

  * Remove unused license paragraphs from debian/copyright.

  [ Helmut Grohne ]
  * Fix FTCBFS: Missing Build-Depends: libzip-dev:native.
    (Closes: #1038716)

 -- Fabian Greffrath <fabian@debian.org>  Fri, 23 Jun 2023 10:14:23 +0200

dsda-doom (0.26.2+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Add a native build pass. (Closes: #1031691)

  [ Fabian Greffrath ]
  * Change Build-Depends from libgl1-mesa-dev to libgl-dev.
  * New upstream version 0.26.2+dfsg.
  * Update patches/removed-sounds.patch for upstream changes.
  * Install upstream's own SVG icon.
  * Update debian/copyright.
  * Bump Standards-Version to 4.6.2.
  * Add Build-Depends on libzip-dev, as well as fluidsynth, zipcmp,
    zipmerge and ziptool, because their respective library cmake
    targets require the executables.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 16 Jun 2023 11:51:32 +0200

=== debian/control ===
Source: dsda-doom
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian@debian.org>
Build-Depends: bash-completion,
               cmake,
               debhelper-compat (= 13),
               fluidsynth,
               libdumb1-dev,
               libfluidsynth-dev,
               libgl-dev,
               libgl-dev:native,
               libglu1-mesa-dev | libglu-dev,
               libglu1-mesa-dev:native | libglu-dev:native,
               libmad0-dev,
               libportmidi-dev [linux-any],
               libsdl2-dev (>= 2.0.7),
               libsdl2-dev:native (>= 2.0.7),
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libsdl2-mixer-dev:native,
               libsdl2-net-dev,
               libvorbis-dev,
               libzip-dev,
               libzip-dev:native,
               zipcmp,
               zipmerge,
               ziptool
Standards-Version: 4.6.2
Homepage: https://github.com/kraflab/dsda-doom
Vcs-Git: https://salsa.debian.org/games-team/dsda-doom.git
Vcs-Browser: https://salsa.debian.org/games-team/dsda-doom
Rules-Requires-Root: no

Package: dsda-doom
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freedoom | game-data-packager
Suggests: ffmpeg
Provides: boom-engine, doom-engine, heretic-engine, hexen-engine
Breaks: prboom-plus (<< 3:0.25.2-1~), prboom-plus-game-server (<< 3:0.25.2-1~)
Replaces: prboom-plus (<< 3:0.25.2-1~),
          prboom-plus-game-server (<< 3:0.25.2-1~)
Description: Doom source port with a focus on demo recording and speedrunning
 This is a fork of prboom+ with many new features, including:
 .
  * Heretic, Hexen, MBF21, and Doom-in-Hexen support
  * In-game console and scripting
  * Full controller support
  * Palette-based lightmode for opengl
  * Debugging features for testing
  * Strict mode for speedrunning
  * Various quality of life improvements
  * Advanced tools for TASing
  * Rewind
 .
 DSDA-Doom requires game data to run. Free game data is available in the
 freedoom package. Commercial game data can be packaged using
 game-data-packager. DSDA-Doom supports all flavors of Doom, including
 The Ultimate Doom, Doom 2 and Final Doom as well as Chex(R) Quest, HacX,
 Freedoom: Phase 1 and Phase 2 and FreeDM.
 .
 Additionally, DSDA-Doom supports Heretic and Hexen.

Package: prboom-plus
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: dsda-doom (>= 0.25.2-1~), ${misc:Depends}
Description: transitional dummy package (prboom-plus -> dsda-doom)
 This package is a dummy package to enable the prboom-plus
 to dsda-doom transition. It can be safely removed.

Package: prboom-plus-game-server
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: dsda-doom (>= 0.25.2-1~), ${misc:Depends}
Suggests: woof-doom
Description: transitional dummy package (prboom-plus-game-server -> dsda-doom)
 This package is a dummy package to enable the prboom-plus-game-server
 to dsda-doom transition. It can be safely removed.
 .
 DSDA-Doom has abandoned network gaming. A Boom-compatible Doom port with
 network gaming support compatible to the Chocolate family of ports can be
 found in the woof-doom package.

## dsda-doom 0.27.5%2Bdfsg

=== prboom2/data/CMakeLists.txt ===
--- 
+++ 
@@ -50,9 +50,9 @@
     lumps/bfgbex.lmp
     lumps/nervebex.lmp
     lumps/glshadow.lmp
-    lumps/glfp_fuzz.lmp
-    lumps/glfp_idx.lmp
-    lumps/glvp.lmp
+    lumps/gls_main.lmp
+    lumps/gls_fuzz.lmp
+    lumps/gls_v.lmp
     lumps/m_ammo.lmp
     lumps/m_armour.lmp
     lumps/m_arrow.lmp

=== prboom2/src/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
     doomtype.h
     dsda.c
     dsda.h
+    dsda/ambient.cpp
+    dsda/ambient.h
     dsda/analysis.c
     dsda/analysis.h
     dsda/args.c
@@ -39,6 +41,8 @@
     dsda/destructible.h
     dsda/endoom.c
     dsda/endoom.h
+    dsda/episode.c
+    dsda/episode.h
     dsda/excmd.c
     dsda/excmd.h
     dsda/exdemo.c
@@ -151,6 +155,10 @@
     dsda/map_format.h
     dsda/mapinfo.c
     dsda/mapinfo.h
+    dsda/mapinfo/doom.c
+    dsda/mapinfo/doom.h
+    dsda/mapinfo/doom/parser.cpp
+    dsda/mapinfo/doom/parser.h
     dsda/mapinfo/hexen.c
     dsda/mapinfo/hexen.h
     dsda/mapinfo/legacy.c
@@ -169,6 +177,8 @@
     dsda/msecnode.h
     dsda/music.c
     dsda/music.h
+    dsda/name.c
+    dsda/name.h
     dsda/options.c
     dsda/options.h
     dsda/palette.c
@@ -186,11 +196,15 @@
     dsda/render_stats.h
     dsda/save.c
     dsda/save.h
+    dsda/scroll.c
+    dsda/scroll.h
     dsda/settings.c
     dsda/settings.h
     dsda/sfx.c
     dsda/sfx.h
     dsda/signal_context.h
+    dsda/skill_info.c
+    dsda/skill_info.h
     dsda/skip.c
     dsda/skip.h
     dsda/sndinfo.c
@@ -221,6 +235,8 @@
     dsda/udmf.h
     dsda/utility.c
     dsda/utility.h
+    dsda/utility/string_view.c
+    dsda/utility/string_view.h
     dsda/wad_stats.c
     dsda/wad_stats.h
     dsda/zipfile.c
@@ -296,8 +312,6 @@
     i_glob.c
     i_glob.h
     i_main.h
-    i_pcsound.c
-    i_pcsound.h
     i_sound.h
     i_system.h
     i_video.h
@@ -433,17 +447,7 @@
     SDL/i_video.c
 )
 
-set(PCSOUND_SOURCES
-    PCSOUND/pcsound.c
-    PCSOUND/pcsound.h
-    PCSOUND/pcsound_linux.c
-    PCSOUND/pcsound_sdl.c
-    PCSOUND/pcsound_win32.c
-)
-
 set(DOOMMUSIC_SOURCES
-    MUSIC/dbopl.c
-    MUSIC/dbopl.h
     MUSIC/dumbplayer.c
     MUSIC/dumbplayer.h
     MUSIC/flplayer.c
@@ -455,6 +459,8 @@
     MUSIC/musicplayer.h
     MUSIC/opl.c
     MUSIC/opl.h
+    MUSIC/opl3.c
+    MUSIC/opl3.h
     MUSIC/oplplayer.c
     MUSIC/oplplayer.h
     MUSIC/opl_queue.c
@@ -477,7 +483,6 @@
     ${WAD_SRC}
     ${MUS2MID_SRC}
     ${SDLDOOM_SOURCES}
-    ${PCSOUND_SOURCES}
     ${DOOMMUSIC_SOURCES}
     ${EXTRA_FILES}
 )
@@ -570,8 +575,3 @@
     endif()
 
     if(HAVE_LIBDUMB)
-        target_link_libraries(${TARGET} PRIVATE DUMB::DUMB)
-    endif()
-
-    if(HAVE_LIBVORBISFILE)
-        target_link_libraries(${TARGET} PRIVATE Vorbis::vorbisfile)

=== debian/changelog ===
dsda-doom (0.27.5+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Recompute compiler flags for native build.
    (Closes: #1058727)

  [ Fabian Greffrath ]
  * New upstream version 0.27.5+dfsg
  * Apply some post-release commits from upstream.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 21 Dec 2023 10:33:52 +0100

dsda-doom (0.27.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.27.4+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Mon, 20 Nov 2023 08:53:49 +0100

dsda-doom (0.27.3+dfsg-1) unstable; urgency=medium

  * Remove manifest file from source tarball
  * New upstream version 0.27.3+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Tue, 07 Nov 2023 07:55:54 +0100

dsda-doom (0.27.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.27.2+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Tue, 31 Oct 2023 07:58:11 +0100

dsda-doom (0.27.0+dfsg-1) unstable; urgency=medium

  * Rename debian/contrib to debian/local
  * New upstream version 0.27.0+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Sat, 28 Oct 2023 16:57:29 +0200

=== debian/control ===
Source: dsda-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 bash-completion,
 cmake,
 debhelper-compat (= 13),
 fluidsynth,
 libdumb1-dev,
 libfluidsynth-dev,
 libgl-dev,
 libgl-dev:native,
 libglu1-mesa-dev | libglu-dev,
 libglu1-mesa-dev:native | libglu-dev:native,
 libmad0-dev,
 libportmidi-dev [linux-any],
 libsdl2-dev (>= 2.0.7),
 libsdl2-dev:native (>= 2.0.7),
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-mixer-dev:native,
 libsdl2-net-dev,
 libvorbis-dev,
 libzip-dev,
 libzip-dev:native,
 zipcmp,
 zipmerge,
 ziptool
Standards-Version: 4.6.2
Homepage: https://github.com/kraflab/dsda-doom
Vcs-Git: https://salsa.debian.org/games-team/dsda-doom.git
Vcs-Browser: https://salsa.debian.org/games-team/dsda-doom
Rules-Requires-Root: no

Package: dsda-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freedoom | game-data-packager
Suggests:
 ffmpeg
Provides:
 boom-engine,
 doom-engine,
 heretic-engine,
 hexen-engine
Breaks:
 prboom-plus (<< 3:0.25.2-1~),
 prboom-plus-game-server (<< 3:0.25.2-1~)
Replaces:
 prboom-plus (<< 3:0.25.2-1~),
 prboom-plus-game-server (<< 3:0.25.2-1~)
Description: Doom source port with a focus on demo recording and speedrunning
 This is a fork of prboom+ with many new features, including:
 .
  * Heretic, Hexen, MBF21, and Doom-in-Hexen support
  * In-game console and scripting
  * Full controller support
  * Palette-based lightmode for opengl
  * Debugging features for testing
  * Strict mode for speedrunning
  * Various quality of life improvements
  * Advanced tools for TASing
  * Rewind
 .
 DSDA-Doom requires game data to run. Free game data is available in the
 freedoom package. Commercial game data can be packaged using
 game-data-packager. DSDA-Doom supports all flavors of Doom, including
 The Ultimate Doom, Doom 2 and Final Doom as well as Chex(R) Quest, HacX,
 Freedoom: Phase 1 and Phase 2 and FreeDM.
 .
 Additionally, DSDA-Doom supports Heretic and Hexen.

Package: prboom-plus
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends:
 dsda-doom (>= 0.25.2-1~),
 ${misc:Depends}
Description: transitional dummy package (prboom-plus -> dsda-doom)
 This package is a dummy package to enable the prboom-plus
 to dsda-doom transition. It can be safely removed.

Package: prboom-plus-game-server
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends:
 dsda-doom (>= 0.25.2-1~),
 ${misc:Depends}
Suggests:
 woof-doom
Description: transitional dummy package (prboom-plus-game-server -> dsda-doom)
 This package is a dummy package to enable the prboom-plus-game-server
 to dsda-doom transition. It can be safely removed.
 .
 DSDA-Doom has abandoned network gaming. A Boom-compatible Doom port with
 network gaming support compatible to the Chocolate family of ports can be
 found in the woof-doom package.

## dsda-doom 0.27.5+dfsg

=== prboom2/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
 set(X_VCPKG_APPLOCAL_DEPS_INSTALL TRUE)
 
-project("dsda-doom" VERSION 0.26.2)
+project("dsda-doom" VERSION 0.27.5)
 
 # Set a default build type if none was specified
 set(default_build_type "RelWithDebInfo")

=== debian/changelog ===
dsda-doom (0.27.5+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:44:05 +1100

dsda-doom (0.27.5+dfsg-1build1) noble; urgency=high

  * No change rebuild against libzip4t64, libdumb1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dsda-doom
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Fabian Greffrath <fabian@debian.org>
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ \
		--sourcedirectory=prboom2 \
		--with bash_completion

override_dh_auto_configure:
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_configure --reload-all-buildenv-variables -Bbuild-native
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_build -Bbuild-native
endif
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=games \
		-DDSDAPWADDIR=/usr/share/dsda-doom \
		$(if $(filter $(DEB_BUILD_ARCH),$(DEB_HOST_ARCH)),,-DIMPORT_EXECUTABLES=../build-native/ImportExecutables.cmake)

override_dh_installchangelogs:
	dh_installchangelogs -- patch_notes/v$(basename $(DEB_VERSION_UPSTREAM))*

override_dh_gencontrol:
	dh_gencontrol -pprboom-plus             -- -v3:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -pprboom-plus-game-server -- -v3:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages

## dsda-doom 0.28.0+dfsg

=== prboom2/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
 set(X_VCPKG_APPLOCAL_DEPS_INSTALL TRUE)
 
-project("dsda-doom" VERSION 0.27.5)
+project("dsda-doom" VERSION 0.28.0)
 
 # Set a default build type if none was specified
 set(default_build_type "RelWithDebInfo")

=== prboom2/src/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
     doomtype.h
     dsda.c
     dsda.h
+    dsda/aim.c
+    dsda/aim.h
     dsda/ambient.cpp
     dsda/ambient.h
     dsda/analysis.c
@@ -574,4 +576,3 @@
         target_link_libraries(${TARGET} PRIVATE FluidSynth::libfluidsynth)
     endif()
 
-    if(HAVE_LIBDUMB)

=== debian/changelog ===
dsda-doom (0.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.28.0+dfsg
  * Remove patches applied upstream
  * Bump Standards-Version to 4.7.0
  * Update Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Aug 2024 08:28:38 +0200

## dsda-doom 0.28.1+dfsg

=== prboom2/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
 set(X_VCPKG_APPLOCAL_DEPS_INSTALL TRUE)
 
-project("dsda-doom" VERSION 0.28.0)
+project("dsda-doom" VERSION 0.28.1)
 
 # Set a default build type if none was specified
 set(default_build_type "RelWithDebInfo")

=== debian/changelog ===
dsda-doom (0.28.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.28.1+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Mon, 19 Aug 2024 17:06:17 +0200
